Bug 459402 - When bug is changed, debug message is printed at top of page when no recipients are listed
When bug is changed, debug message is printed at top of page when no recipien...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 11:07 EDT by David Lawrence
Modified: 2013-06-23 22:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 17:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2008-08-18 11:07:23 EDT
When making a change to a bug that does not require sending email notifications to any recipients, a debug message is printed at the top of the page.

No recipient addresses found in header

This is probably a sendmail error being returned from the Bugzilla::Mailer module. We should check for no recipients and then not call the appropriate mailer command or at a minimum capture the mail command output so that it doesn't display in the web UI.
Comment 1 David Lawrence 2008-08-25 16:36:56 EDT
I think what is happening is that a flag change is being made and when the code filters out a flag that a user/role for the bug cannot see, and there are no other changes, the email is sent without a To: recipient. 

Or a person is being requested for a flag on a bug they cannot see.

Dave
Comment 2 David Lawrence 2008-08-25 17:16:50 EDT
Committed a fix to CVS that should fix this. Will show up in the next update.

Note You need to log in before you can comment on or make changes to this bug.